Index: main/db.c
===================================================================
--- main/db.c	(revision 82062)
+++ main/db.c	(working copy)
@@ -104,6 +104,7 @@
 	char *keys;
 	int res;
 	int pass;
+	int counter = 0;
 	
 	if (family) {
 		if (keytree) {
@@ -135,11 +136,12 @@
 		}
 		if (keymatch(keys, prefix)) {
 			astdb->del(astdb, &key, 0);
+			counter++;
 		}
 	}
 	astdb->sync(astdb, 0);
 	ast_mutex_unlock(&dblock);
-	return 0;
+	return counter;
 }
 
 int ast_db_put(const char *family, const char *keys, const char *value)
@@ -291,10 +293,10 @@
 	} else {
 		res = ast_db_deltree(argv[2], NULL);
 	}
-	if (res) {
+	if (res <= 0) {
 		ast_cli(fd, "Database entries do not exist.\n");
 	} else {
-		ast_cli(fd, "Database entries removed.\n");
+		ast_cli(fd, "%d database entries removed.\n",res);
 	}
 	return RESULT_SUCCESS;
 }
@@ -626,7 +628,7 @@
 	else
 		res = ast_db_deltree(family, NULL);
 
-	if (res)
+	if (res <= 0)
 		astman_send_error(s, m, "Database entry not found");
 	else
 		astman_send_ack(s, m, "Key tree deleted successfully");
